<template>
    <div class="player">
        <div class="wrapper" v-if="id_room">
            <div class="player-section section">
                <youtube style="display: block;" width="100%" :video-id="videoId" ref="youtube"></youtube>
                <div class="player-wrapper">
                    <div class="player-interactions">
                        <p class="curr-song">Title: Lorem Ipsum Placeholder</p>
                        <div class="center-buttons">
                            <button @click="playVideo" class="btn-icon play"><img
                                    src="../../assets/icons/play.svg"><span
                                    class="visuallyhidden">Play</span></button>
                            <button @click="stopVideo" class="btn-icon stop"><img
                                    src="../../assets/icons/stop.svg"><span
                                    class="visuallyhidden">Stop</span></button>
                            <button class="btn-icon leave-tiny">
                                <img src="../../assets/icons/leave.svg"><span class="visuallyhidden">Leave group</span>
                            </button>
                        </div>
                    </div>

                    <div class="curr-listening">
                        <p>Currently listening:</p>
                        <div class="circle-wrapper">
                            <div class="user">
                                <div class="circle">CL</div>
                                <div class="name visuallyhidden">Carla</div>
                            </div>
                            <div class="user">
                                <div class="circle">YV</div>
                                <div class="name visuallyhidden">Yves</div>
                            </div>
                            <div class="user">
                                <div class="circle">AN</div>
                                <div class="name visuallyhidden">Anni</div>
                            </div>
                            <div class="user">
                                <div class="circle">LU</div>
                                <div class="name visuallyhidden">Ludwig</div>
                            </div>
                        </div>
                    </div>

                    <div class="center-buttons">
                        <button class="btn-icon leave-huge"><img
                                src="../../assets/icons/leave.svg"><span>Leave group</span>
                        </button>
                    </div>

                </div>
            </div>

            <div class="list-section section">
                <List :list-single-view="false" :songs="songs"></List>
            </div>

        </div>
        <p class="not-entered" v-if="!id_room">Please enter a room</p>
    </div>
</template>

<script>
    import List from '../list/list'
    import WS from '../../websocket_con'
    import {store, mutations} from '../../store'

    export default {
        name: 'Player',
        components: {List},
        computed: {
            player() {
                return this.$refs.youtube.player
            },
            title() {
                return this.$youtube.getTitleFromID(this.video.url)
            },
            id_room() {
                return store.current_room
            }
        },
        props: {
            playerSingleView: Boolean,
            //id_room: Number
        },

        data() {
            return {
                videoId: '',
                songs: [
                    {id: 1, name: 'SONG1', link: 'link1', votes: 5},
                    {id: 2, name: 'SONG2', link: 'link2', votes: 2}
                ]
            }
        },

        mounted() {
            this.videoId = 'AchEp3H10xI';
            WS.getWS().addEventListener("message", function (event) {
            });
        },

        methods: {
            playVideo() {
                this.player.playVideo()
            },
            stopVideo() {
                this.player.stopVideo()
            },
            playing() {

            },
        },
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
    @import "../../assets/theme";

    .wrapper {
        display: flex;
        color: $WHITE;
    }

    .player-full-view .wrapper {
        flex-direction: row;;
    }

    .player-full-view .section {
        width: 50%;
    }

    .player-section {
        padding: 0;
        background-color: $PRIMARY-COLOUR;

    }

    .list-section {
        color: $PRIMARY-COLOUR
    }

    .wrapper {
        flex-direction: column;
    }

    .player-wrapper {
        /*padding: 0 20px;*/

        button.btn {
            margin-right: 10px;
        }
    }

    .center-buttons {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .section {
        width: 100%;
    }

    .circle {
        font-size: 20px;
        display: flex;
        align-content: center;
        align-items: center;
        justify-content: center;
        color: #fff;
        background: #2c3e50;
        height: 40px;
        width: 40px;
        border-radius: 50%;
        margin-bottom: 10px;
        margin-right: 10px;
    }

    .curr-listening {
        padding: 0 20px 15px 20px;

        p {
            margin-top: 0;
            margin-bottom: 7.5px;
        }
    }

    .circle-wrapper {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: flex-start;
        margin-bottom: 20px;
    }

    .player-interactions {
        margin-bottom: 15px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 7.5px 20px;
        //border: 10px solid $PRIMARY-COLOUR-MEDIUM;
        background-color: $PRIMARY-COLOUR-MEDIUM;

        .curr-song {
            margin: 0;
        }

        .center-buttons {

        }
    }

    .player-full-view {
        .player {
            .list-section {
                .voting-button {
                    content: url("../../assets/icons/arrow-dark.svg");
                }
            }
        }
    }

    .not-entered{
        text-align: center;
        font-size: 30px;
        color: #fff;
    }


</style>
